<template>
  <div>
    <Modal v-model="is_errorTipMd" id="error_tip">
      <div class="err_wap">{{errorTipText}}</div>
    </Modal>
  </div>
</template>
<script>
export default {
  name: "error_tip",
  props: {
    errorTipText: String,
    is_error_tip: Boolean
  },
  data(){
    return{}
  },
  computed: {
    is_errorTipMd: {
      get() {
        return this.is_error_tip;
      },
      set(val) {
        this.$emit("update:is_error_tip", val);
      }
    }
  },
  watch: {
    is_error_tip(n) {
      if (n) {
        setTimeout(() => {
          this.$emit("update:is_error_tip", false)
        }, 1000);
      }
    }
  }
};
</script>
<style>
.err_wap {
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 3px;
  color: rgba(255, 255, 255, 1);
  font-size: 14px;
  padding: 8px 12px;
}
#error_tip .ivu-modal-footer {
  display: none;
}
#error_tip .ivu-modal-close {
  display: none;
}
#error_tip .ivu-modal-mask {
  display: none;
}
#error_tip .ivu-modal {
  width: auto !important;
}
</style>


